/*
 * SPDX-FileCopyrightText: 2020-2024 Bruce Cowan <bruce@bcowan.me.uk>
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#pragma once

#include "rugby-app-window.h"

#include <adwaita.h>

G_BEGIN_DECLS

#define RUGBY_TYPE_PREF_DIALOG (rugby_pref_dialog_get_type())

G_DECLARE_FINAL_TYPE (RugbyPrefDialog, rugby_pref_dialog, RUGBY, PREF_DIALOG, AdwPreferencesDialog)

RugbyPrefDialog *rugby_pref_dialog_new (void);

G_END_DECLS
